Netflix just stopped working, 'update your browser'

Board for discussions around the Basilisk web browser.
Post Reply
User avatar
moonbat
Board Warrior
Board Warrior
Posts: 1343
Joined: 2015-12-09, 15:45

Netflix just stopped working, 'update your browser'

Post by moonbat » 2019-11-08, 09:11

Running latest Basilisk build, Netflix was working on it until just now when it says the browser isn't supported when clicking on a movie to play.

Current user agent is

Code: Select all

Mozilla/5.0 (X11; Linux x86_64; rv:42.0) Gecko/20100101 Firefox/70.0 Basilisk/52.9.2019.10.31
Anything else I can try? AFAIK this has nothing to do with the DRM, else it would have said so.

Edit - the web console says -

Code: Select all

Firefox can’t establish a connection to the server at wss://push.prod.netflix.com/ws.  
"One hosts to look them up, one DNS to find them and in the darkness BIND them."

Linux Mint 19.3 Xfce x64 on HP i5 laptop with 4 GB RAM, always latest versions of PM & Basilisk unless specified.

User avatar
New Tobin Paradigm
Off-Topic Sheriff
Off-Topic Sheriff
Posts: 7204
Joined: 2012-10-09, 19:37
Location: Insulting you on the internet.

Re: Netflix just stopped working, 'update your browser'

Post by New Tobin Paradigm » 2019-11-08, 09:51

I can confirm this with Error Code: F7121-3078. They must have finally deactivated Widevine 1.4.9 support. I tried every trick I could think of but no dice. This may not have trickled down to all markets but US Netfix using Widevine 1.4.9 is down.

If you reset the user agent override back to what we provide as default and disable DRM it will fall back to Silverlight on Windows (likely Machintosh too) at least for the moment.

Otherwise, you will have to use one of the Chrome browsers or current-day Firefox. There is nothing to be done until Travis can complete the API update for Widevine x.10 (however their versioning scheme works at the moment).

As an aside, I don't know why you have opened up yet ANOTHER thread for this.. was the previous half-dozen not enough dude?
Image
I'll send him cheesy movies! The worst I can find!
He'll have to sit and watch them all and we'll monitor his mind!

https://binaryoutcast.com/ | Freenode #binaryoutcast | http://thereisonlyxul.org/

User avatar
Moonchild
Pale Moon guru
Pale Moon guru
Posts: 26674
Joined: 2011-08-28, 17:27
Location: 58°2'16"N 14°58'31"E
Contact:

Re: Netflix just stopped working, 'update your browser'

Post by Moonchild » 2019-11-08, 10:03

Hey, using Silverlight will give you better image quality anyway!
"There will be times when the position you advocate, no matter how well framed and supported, will not be accepted by the public simply because you are who you are." -- Merrill Rose
Image

User avatar
moonbat
Board Warrior
Board Warrior
Posts: 1343
Joined: 2015-12-09, 15:45

Re: Netflix just stopped working, 'update your browser'

Post by moonbat » 2019-11-08, 10:37

New Tobin Paradigm wrote:
2019-11-08, 09:51
As an aside, I don't know why you have opened up yet ANOTHER thread for this.. was the previous half-dozen not enough dude?
They were locked :(
And those were related to DRM, or asking why it doesn't work in Pale Moon where there's no DRM, rather than browser incompatibility.

Also isn't Silverlight Windows specific? I'm on Linux.
"One hosts to look them up, one DNS to find them and in the darkness BIND them."

Linux Mint 19.3 Xfce x64 on HP i5 laptop with 4 GB RAM, always latest versions of PM & Basilisk unless specified.

User avatar
billmcct
Astronaut
Astronaut
Posts: 694
Joined: 2012-09-04, 15:19
Location: Atlanta Georgia USA

Re: Netflix just stopped working, 'update your browser'

Post by billmcct » 2019-11-08, 11:12

Windows 8.1 (x64) - Current Pale Moon Release (x86)

User avatar
moonbat
Board Warrior
Board Warrior
Posts: 1343
Joined: 2015-12-09, 15:45

Re: Netflix just stopped working, 'update your browser'

Post by moonbat » 2019-11-08, 13:22

Already seen that, Pipelights' repositories haven't worked in 2 years.
"One hosts to look them up, one DNS to find them and in the darkness BIND them."

Linux Mint 19.3 Xfce x64 on HP i5 laptop with 4 GB RAM, always latest versions of PM & Basilisk unless specified.

Post Reply